Bug 223856

Summary: Merge DOMWindow+IndexedDatabase.idl and WorkerGlobalScope+IndexedDatabase.idl into a single WindowOrWorkerGlobalScope+IndexedDatabase.idl to match the IndexedDB spec
Product: WebKit Reporter: Sam Weinig <sam>
Component: New BugsAssignee: Sam Weinig <sam>
Status: RESOLVED FIXED    
Severity: Normal CC: alecflett, annulen, beidson, cdumez, darin, drousso, esprehn+autocc, ews-watchlist, gyuyoung.kim, joepeck, jsbell, kondapallykalyan, ryuan.choi, sergio, sihui_liu, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Sam Weinig 2021-03-28 16:06:51 PDT
Merge DOMWindow+IndexedDatabase.idl and WorkerGlobalScope+IndexedDatabase.idl into a single WindowOrWorkerGlobalScope+IndexedDatabase.idl to match the IndexedDB spec
Comment 1 Sam Weinig 2021-03-28 19:26:04 PDT
Created attachment 424518 [details]
Patch
Comment 2 Sihui Liu 2021-03-29 17:17:46 PDT
Comment on attachment 424518 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=424518&action=review

> Source/WebCore/Modules/indexeddb/WindowOrWorkerGlobalScopeIndexedDatabase.cpp:33
> +#include "DatabaseProvider.h"

Is this needed?

> Source/WebCore/Modules/indexeddb/WindowOrWorkerGlobalScopeIndexedDatabase.cpp:37
> +#include "IDBOpenDBRequest.h"

Is this needed?

> Source/WebCore/Modules/indexeddb/WindowOrWorkerGlobalScopeIndexedDatabase.cpp:39
> +#include "ScriptExecutionContext.h"

Is this needed?
Comment 3 Sam Weinig 2021-03-30 09:22:20 PDT
Created attachment 424650 [details]
Patch
Comment 4 Sam Weinig 2021-03-30 09:22:46 PDT
(In reply to Sihui Liu from comment #2)
> Comment on attachment 424518 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=424518&action=review
> 
> > Source/WebCore/Modules/indexeddb/WindowOrWorkerGlobalScopeIndexedDatabase.cpp:33
> > +#include "DatabaseProvider.h"
> 
> Is this needed?
> 
> > Source/WebCore/Modules/indexeddb/WindowOrWorkerGlobalScopeIndexedDatabase.cpp:37
> > +#include "IDBOpenDBRequest.h"
> 
> Is this needed?
> 
> > Source/WebCore/Modules/indexeddb/WindowOrWorkerGlobalScopeIndexedDatabase.cpp:39
> > +#include "ScriptExecutionContext.h"
> 
> Is this needed?

Let's see!
Comment 5 EWS 2021-03-31 13:15:12 PDT
Committed r275303: <https://commits.webkit.org/r275303>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 424650 [details].
Comment 6 Radar WebKit Bug Importer 2021-03-31 13:16:16 PDT
<rdar://problem/76067393>